package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description:
 * @Author: yuhui
 * @Time: 2023/4/26 19:36
 * @Classname: honorWallType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum HonorWallType {


    /**
     * 等级
     */
    GRADE(1,  "等级"),

    /**
     * 奖衔
     */
    AWARDS(2,  "奖衔"),

    /**
     * 时长
     */
    DURATION(3,  "时长"),

    /**
     * 推荐月
     */
    RECOMMEND_MONTH(4,  "推荐月"),

    /**
     * 推荐季度
     */
    RECOMMEND_QUARTER(5,  "推荐季度"),

    /**
     * 推荐年
     */
    RECOMMEND_YEAR(6,  "推荐年"),

    /**
     * 抗衰月
     */
    ANTIFADING_MONTH(7,  "抗衰月"),

    /**
     * 抗衰季度
     */
    ANTIFADING_QUARTER(8,  "抗衰季度"),

    /**
     * 抗衰年
     */
    ANTIFADING_YEAR(9,  "抗衰年");

    /**
     * 实际值
     */
    private final Integer value;

    /**
     * 显示标签
     */
    private final String label;

    public static HonorWallType getHonorWallType(int value){
        for (HonorWallType honorWallType : HonorWallType.values()) {
            if (honorWallType.getValue() == value){
                return honorWallType;
            }
        }
        return null;
    }

}
